<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title></title>
</head>
<body>
	<main id="main">

	</main>
	<script src="https://cdn.jsdelivr.net/gh/svgdotjs/svg.js@ceaf24d5/dist/svg.min.js" ></script>
	<script>
		async function getSvg(key) {
			let response = await fetch('svg/'+key+'.svg')
			let data = response.text() 
			return data
		}
		getSvg('0').then(data=>{
			document.getElementById('main').innerHTML = data
		})
		getSvg('1').then(data=>{
			const parser = new DOMParser();
			const xml = parser.parseFromString(data, "application/xml");
			var panse_top = xml.getElementsByClassName('panse_top')[0]
			var panse_bot = xml.getElementsByClassName('panse_bot')[0]
			console.log(panse_top)
			console.log(panse_bot)
		})
	</script>
</body>

</html>
